From 1ab4a2271c5d5b1fb891feb46f034fce93281800 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:47:27 +0530
Subject: [PATCH 5/10] spi_changes

Change-Id: I15f07e59870d49abc4718c20a0ecf0bde675dbd0
---
 .../boot/dts/qcom/msm8909-camera-sensor-mtp.dtsi   | 22 +++++++++++-----------
 arch/arm/boot/dts/qcom/msm8909-mtp.dtsi            | 12 ++++++++++++
 arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi        | 18 +++++++++---------
 drivers/spi/Makefile                               |  4 ++--
 4 files changed, 34 insertions(+), 22 deletions(-)

diff --git a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-mtp.dtsi b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-mtp.dtsi
index 620dd8c..383bec0 100644
--- a/arch/arm/boot/dts/qcom/msm8909-camera-sensor-mtp.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-camera-sensor-mtp.dtsi
@@ -150,24 +150,24 @@
 			<&msm_gpio 35 0>,
 			<&msm_gpio 34 0>,
 			<&msm_gpio 110 0>,
-			<&msm_gpio 9 0>,    //not use
-			<&msm_gpio 97 0>,   //not use
-			<&msm_gpio 10 0>;
+		/*	<&msm_gpio 9 0>,  */  //not use
+			<&msm_gpio 97 0>;  //not use
+		/*	<&msm_gpio 10 0>;*/
 		qcom,gpio-reset = <1>;
 		qcom,gpio-standby = <2>;
 		qcom,gpio-vdig = <3>;
-		qcom,gpio-vana = <4>;
-		qcom,gpio-vio = <5>;
-		qcom,gpio-vaf = <6>;
-		qcom,gpio-req-tbl-num = <0 1 2 3 4 5 6>;
-		qcom,gpio-req-tbl-flags = <1 0 0 0 0 0 0>;
+		/*qcom,gpio-vana = <4>;*/
+		qcom,gpio-vio = <4>;
+		/*qcom,gpio-vaf = <6>;*/
+		qcom,gpio-req-tbl-num = <0 1 2 3 4>;
+		qcom,gpio-req-tbl-flags = <1 0 0 0 0>;
 		qcom,gpio-req-tbl-label = "CAMIF_MCLK",
 			"CAM_RESET1",
 			"CAM_STANDBY",
 			"CAM_VDIG",
-			"CAM_VANA",
-			"CAM_VIO",
-			"CAM_VAF";
+			/*"CAM_VANA",*/
+			"CAM_VIO";
+			/*"CAM_VAF";*/
 		qcom,sensor-position = <0>;
 		qcom,sensor-mode = <0>;
 		qcom,cci-master = <0>;
diff --git a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
index 85919f5..92c2a5c 100644
--- a/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-mtp.dtsi
@@ -278,6 +278,18 @@
 		};
 	};
 
+spi_0: spi@78ba000 {
+               spidev@0 {
+        /* spidev causes a WARN_ON() so spoof with DAC compat */
+                        compatible = "rohm,dh2228fv";
+                       reg = <0>;    /* chip select */
+                        spi-max-frequency = <100000000>;
+                        enable-dma = <1>;
+                        status = "ok";
+    };
+        };
+
+
 /*	audio_codec_mtp: sound {
 		compatible = "qcom,msm8x16-audio-codec";
 		qcom,model = "msm8909-snd-card";
diff --git a/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi b/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi
index 190e06e..f379e0d 100644
--- a/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi
+++ b/arch/arm/boot/dts/qcom/msm8909-pinctrl.dtsi
@@ -82,8 +82,8 @@
 
 		cam_sensor_rear {
 			/* RESET, STANDBY */
-			qcom,pins =  <&gp 35>, <&gp 34>, <&gp 9>, <&gp 10>, <&gp 110>, <&gp 97>;
-			qcom,num-grp-pins = <6>;
+			qcom,pins =  <&gp 35>, <&gp 34>, <&gp 110>, <&gp 97>;
+			qcom,num-grp-pins = <4>;
 			qcom,pin-func = <0>;
 			label = "cam-sensor-rear";
 			/* active state */
@@ -95,8 +95,8 @@
 
 		cam_sensor_rear_sleep {
 			/* RESET, STANDBY */
-			qcom,pins =  <&gp 35>, <&gp 34>, <&gp 9>, <&gp 10>, <&gp 110>, <&gp 97>;
-			qcom,num-grp-pins = <6>;
+			qcom,pins =  <&gp 35>, <&gp 34>, <&gp 110>, <&gp 97>;
+			qcom,num-grp-pins = <4>;
 			qcom,pin-func = <0>;
 			label = "cam-sensor-rear-sleep";
 			/*suspended state */
@@ -466,7 +466,7 @@
 
 
 		tpiu_seta_2 {
-			qcom,pins = <&gp 8>;
+		/*	qcom,pins = <&gp 8>;*/
 			qcom,num-grp-pins = <1>;
 			qcom,pin-func = <8>;
 			label = "tpiu-seta-2";
@@ -477,7 +477,7 @@
 		};
 
 		tpiu_seta_3 {
-			qcom,pins = <&gp 9>;
+		/*	qcom,pins = <&gp 9>; */
 			qcom,num-grp-pins = <1>;
 			qcom,pin-func = <7>;
 			label = "tpiu-seta-3";
@@ -488,7 +488,7 @@
 		};
 
 		tpiu_seta_4 {
-			qcom,pins = <&gp 10>;
+		/*	qcom,pins = <&gp 10>;*/
 			qcom,num-grp-pins = <1>;
 			qcom,pin-func = <4>;
 			label = "tpiu-seta-4";
@@ -1222,9 +1222,9 @@ oem_otg_vreg {
 		};
 
 		tlmm_gpio_key {
-			qcom,pins = <&gp 90>, <&gp 91>, <&gp 92>, <&gp 11>,  <&gp 17>,  <&gp 93>,  <&gp 98>;
+			qcom,pins = <&gp 90>, <&gp 91>, <&gp 92>, <&gp 17>,  <&gp 93>,  <&gp 98>;
 			qcom,pin-func = <0>;
-			qcom,num-grp-pins = <7>;
+			qcom,num-grp-pins = <6>;
 			label = "tlmm_gpio_key";
 			gpio_key_active: gpio_key_active {
 				drive-strength = <2>;
diff --git a/drivers/spi/Makefile b/drivers/spi/Makefile
index 53d2c84..c6c36f0 100644
--- a/drivers/spi/Makefile
+++ b/drivers/spi/Makefile
@@ -7,8 +7,8 @@ ccflags-$(CONFIG_SPI_DEBUG) := -DDEBUG
 # small core, mostly translating board-specific
 # config declarations into driver model code
 obj-$(CONFIG_SPI_MASTER)		+= spi.o
-obj-$(CONFIG_SPI_SPIDEV)		+= spidev.o
-
+#obj-$(CONFIG_SPI_SPIDEV)		+= spidev.o
+obj-y                                   += spidev.o
 # SPI master controller drivers (bus)
 obj-$(CONFIG_SPI_ALTERA)		+= spi-altera.o
 obj-$(CONFIG_SPI_ATMEL)			+= spi-atmel.o
-- 
2.7.4

